local Reverse = string.find(GAMESTATE:GetPlayerState(pn):GetPlayerOptionsString("ModsLevel_Preferred"), "Reverse");
local sButton = Var "Button";

local Position = {
	Up = {2.5,0},
	Down = {-2.5,0},
	Left = {-7.5,-5.5},
	Right = {7.5,-5.5},
};

local Colour2 = {
	Up = "#FFFF00",
	Down = "#FF0000",
	Left = "#00FF00",
	Right = "#449ce4",
};

local Colour = {
	Up = "Yellow",
	Down = "Red",
	Left = "Green",
	Right = "Blue",
};

local t = Def.ActorFrame {
	Def.Quad {
		OnCommand=function(self)
			if Reverse then
				self:y(-22):rotationz(45):diffuse(color("0.5,0.5,0.5,1")):scaletoclipped(32,32)
			else
				self:y(22):rotationz(45):diffuse(color("0.5,0.5,0.5,1")):scaletoclipped(32,32)
			end
		end;
	};
	Def.Quad {
		OnCommand=function(self)
			if Reverse then
				self:y(-20):rotationz(45):diffuse(color("0,0,0,1")):scaletoclipped(32,32)
			else
				self:y(20):rotationz(45):diffuse(color("0,0,0,1")):scaletoclipped(32,32)
			end
		end;
	};
	LoadActor(NOTESKIN:GetPath( "_Receptor", "Bottom" ))..{
		OnCommand=function(self)
			self:diffuse(color(Colour2[sButton]))
		end;
	};
	Def.ActorFrame {
		W1Command=function(self)
			self:stoptweening():bounceend(0.05):z(24):bounceend(0.05):z(0)
		end;
		W2Command=function(self)
			self:stoptweening():bounceend(0.05):z(24):bounceend(0.05):z(0)
		end;
		W3Command=function(self)
			self:stoptweening():bounceend(0.05):z(24):bounceend(0.05):z(0)
		end;
		Def.Quad {
			OnCommand=function(self)
				self:valign(0):rotationx(90):diffuse(color("0.5,0.5,0.5,1")):scaletoclipped(30,1)
			end;
			W1Command=function(self)
				self:stoptweening():bounceend(0.05):zoomy(45):bounceend(0.05):zoomy(0)
			end;
			W2Command=function(self)
				self:stoptweening():bounceend(0.05):zoomy(45):bounceend(0.05):zoomy(0)
			end;
			W3Command=function(self)
				self:stoptweening():bounceend(0.05):zoomy(45):bounceend(0.05):zoomy(0)
			end;
		};
		LoadActor(NOTESKIN:GetPath( "_Receptor", "Middle" ))..{
		};
		LoadActor(NOTESKIN:GetPath( "_Receptor", "Top1" ))..{
			OnCommand=function(self)
				self:diffuse(color(Colour2[sButton]))
			end;
		};
		LoadActor(NOTESKIN:GetPath( "_Receptor", "Top2" ))..{
			OnCommand=function(self)
				self:diffuse(color(Colour2[sButton])):diffusealpha(0)
			end;
			PressCommand=function(self)
				self:diffusealpha(1)
			end;
			LiftCommand=function(self)
				self:diffusealpha(0)
			end;
		};
	};
};

return t;
