local sButton = Var "Button";

local Colour = {
	Up = "#FFFF00",
	Down = "#FF0000",
	Left = "#00FF00",
	Right = "#449ce4",
};

local t = Def.ActorFrame {
	Def.Sprite {
		Texture="_Tap Explosion(doubleres).png";
		W1Command=function(self)
			self:z(16):valign(0.75):rotationx(90):zoom(1):diffuse(1,0.5,0,1):linear(0.1):zoom(1.5):diffusealpha(0)
		end;
		W2Command=function(self)
			self:z(16):valign(0.75):rotationx(90):zoom(1):diffuse(1,0.5,0,1):linear(0.1):zoom(1.5):diffusealpha(0)
		end;
		W3Command=function(self)
			self:z(16):valign(0.75):rotationx(90):zoom(1):diffuse(1,0.5,0,1):linear(0.1):zoom(1.5):diffusealpha(0)
		end;
		W4Command=function(self)
			self:diffusealpha(0)
		end;
		W5Command=function(self)
			self:diffusealpha(0)
		end;
		MissCommand=function(self)
			self:diffusealpha(0)
		end;
	};
	LoadActor(NOTESKIN:GetPath( "_Receptor", "Bottom" ))..{
		W1Command=function(self)
			self:diffusealpha(0)
		end;
		W2Command=function(self)
			self:diffusealpha(0)
		end;
		W3Command=function(self)
			self:diffusealpha(0)
		end;
		W4Command=function(self)
			self:diffusealpha(0)
		end;
		W5Command=function(self)
			self:diffusealpha(0)
		end;
		HoldingOnCommand=function(self)
			self:diffuse(color(Colour[sButton]))
		end;
		HoldingOffCommand=function(self)
			self:diffusealpha(0)
		end;
	};
	Def.ActorFrame {
		W1Command=function(self)
			self:diffusealpha(0)
		end;
		W2Command=function(self)
			self:diffusealpha(0)
		end;
		W3Command=function(self)
			self:diffusealpha(0)
		end;
		W4Command=function(self)
			self:diffusealpha(0)
		end;
		W5Command=function(self)
			self:diffusealpha(0)
		end;
		HoldingOnCommand=function(self)
			self:stoptweening():diffusealpha(1):sleep(0.001):bounceend(0.05):z(24)
		end;
		Def.Quad {
			HoldingOnCommand=function(self)
				self:valign(0):rotationx(90):diffuse(color("0.5,0.5,0.5,1")):scaletoclipped(30,1):bounceend(0.05):zoomy(45)
			end;
			HoldingOffCommand=function(self)
				self:bounceend(0.05):zoomy(0)
			end
		};
		LoadActor(NOTESKIN:GetPath( "_Receptor", "Middle" ))..{
		};
		LoadActor(NOTESKIN:GetPath( "_Receptor", "Top2" ))..{
			HoldingOnCommand=function(self)
				self:diffuse(color(Colour[sButton]))
			end;
		};
		HoldingOffCommand=function(self)
			self:stoptweening():bounceend(0.05):z(0):sleep(0.001):diffusealpha(0)
		end;
	};
	LoadActor(NOTESKIN:GetPath( "_Receptor", "Back" ))..{
		W1Command=function(self)
			self:diffuse(color(Colour[sButton]))
		end;
		W2Command=function(self)
			self:diffuse(color(Colour[sButton]))
		end;
		W3Command=function(self)
			self:diffuse(color(Colour[sButton]))
		end;
		W4Command=function(self)
			self:diffuse(color(Colour[sButton]))
		end;
		W5Command=function(self)
			self:diffuse(color(Colour[sButton]))
		end;
		MissCommand=function(self)
			self:diffuse(color(Colour[sButton]))
		end;
	};
	
	Def.Sprite {
		Texture="_Hold Explosion(doubleres).png";
		W1Command=function(self)
			self:diffusealpha(0)
		end;
		W2Command=function(self)
			self:diffusealpha(0)
		end;
		W3Command=function(self)
			self:diffusealpha(0)
		end;
		W4Command=function(self)
			self:diffusealpha(0)
		end;
		W5Command=function(self)
			self:diffusealpha(0)
		end;
		HoldingOnCommand=function(self)
			self:z(20):zoomy(1.5):valign(0.75):rotationx(90):diffuse(1,0.5,0,1):queuecommand("Move")
		end;
		MoveCommand=function(self)
			self:rotationy(0):sleep(0.1):rotationy(180):sleep(0.1):queuecommand("Move")
		end;
		HoldingOffCommand=function(self)
			self:linear(0.1):diffusealpha(0)
		end;
	};
};

for i=1,10 do
	t[#t+1] = Def.ActorFrame {
		Def.ActorFrame {
			HoldingOnCommand=function(self)
				self:queuecommand("Move")
			end;
			MoveCommand=function(self)
				self:zoom(0.1*math.random(1,6));
				self:diffusealpha(1)
				self:x(0);
				self:z(24);
				self:linear(0.02*math.random(1,10));
				self:x(10*math.random(-4,4));
				self:z(24+(10*math.random(1,6)));
				self:linear(0.05);
				self:diffusealpha(0)
				self:linear(0.1);
				self:queuecommand("Move");
			end;
			LoadActor(NOTESKIN:GetPath( "_Hold", "Explosion Part" ))..{
				W1Command=function(self)
					self:diffusealpha(0)
				end;
				W2Command=function(self)
					self:diffusealpha(0)
				end;
				W3Command=function(self)
					self:diffusealpha(0)
				end;
				W4Command=function(self)
					self:diffusealpha(0)
				end;
				W5Command=function(self)
					self:diffusealpha(0)
				end;
				HoldingOnCommand=function(self)
					self:diffuse(1,0.5,0,1)
				end;
				HoldingOffCommand=function(self)
					self:diffusealpha(0)
				end;
			};
		};
	};
end;

return t;

